# setup.py
# Copyright 2020 Roger Marsh
# Licence: See LICENSE.txt (BSD licence)

if __name__ == '__main__':

    from setuptools import setup, find_packages

    with open('README.rst') as file:
        long_description = file.read()

    setup(
        name='UploadResultsToECF',
        version='0.1.0',
        description='Upload results of chess games to English Chess Federation',
        author='Roger Marsh',
        author_email='roger.marsh@solentware.co.uk',
        url='http://www.solentware.co.uk',
        packages=find_packages(),
        long_description=long_description,
        license='BSD',
        classifiers=[
            'Development Status :: 3 - Alpha',
            'Intended Audience :: End Users/Desktop',
            'License :: OSI Approved :: BSD License',
            'Programming Language :: Python :: 3.6',
            'Programming Language :: Python :: 3.7',
        ],
    )
